LINUX.ORG.RU

Не устанавливаются программы.

 


0

1

Здравствуйте.

Не хочет обновляться система, устанавливаться и удаляться любые программы из-за какой-то проблемы.

В чём может заключаться проблема и как её устранить?

Заранее благодарю за ответы!

uname -a
Linux mail 3.16.0-4-amd64 #1 SMP Debian 3.16.7-ckt25-1 (2016-03-06) x86_64 GNU/Linux
root@mail:/home/alex# apt-get update && apt-get upgrade
В кэше http://ftp.debian.org jessie-updates InRelease
В кэше http://security.debian.org jessie/updates InRelease                                         
Игн http://ftp.debian.org jessie InRelease                                                         
В кэше http://deb.opera.com stable InRelease                                                               
В кэше http://ftp.debian.org jessie Release.gpg                                                            
В кэше http://ftp.debian.org jessie Release                         
Получено:1 http://ftp.debian.org jessie-updates/main amd64 Packages/DiffIndex [5 440 B]
В кэше http://security.debian.org jessie/updates/main amd64 Packages                                                        
В кэше http://ftp.debian.org jessie-updates/contrib amd64 Packages                                                          
В кэше http://deb.opera.com stable/non-free amd64 Packages                          
Получено:2 http://ftp.debian.org jessie-updates/non-free amd64 Packages/DiffIndex [736 B]                                            
В кэше http://security.debian.org jessie/updates/contrib amd64 Packages                                                              
В кэше http://ftp.debian.org jessie-updates/contrib Translation-en                                                                   
В кэше http://security.debian.org jessie/updates/non-free amd64 Packages                                                             
Получено:3 http://ftp.debian.org jessie-updates/main Translation-en/DiffIndex [2 704 B]                                              
В кэше http://security.debian.org jessie/updates/contrib Translation-en                                                      
Получено:4 http://ftp.debian.org jessie-updates/non-free Translation-en/DiffIndex [736 B]                                            
В кэше http://security.debian.org jessie/updates/main Translation-en                                                        
В кэше http://ftp.debian.org jessie/main amd64 Packages                                                                              
В кэше http://ftp.debian.org jessie/contrib amd64 Packages                                                                           
В кэше http://security.debian.org jessie/updates/non-free Translation-en                                                             
В кэше http://ftp.debian.org jessie/non-free amd64 Packages                                        
В кэше http://ftp.debian.org jessie/contrib Translation-en                                         
В кэше http://ftp.debian.org jessie/main Translation-ru                                                
В кэше http://ftp.debian.org jessie/main Translation-en                                                
В кэше http://ftp.debian.org jessie/non-free Translation-en    
Игн http://deb.opera.com stable/non-free Translation-ru_RU     
Игн http://deb.opera.com stable/non-free Translation-ru        
Игн http://deb.opera.com stable/non-free Translation-en
Получено 9 616 Б за 2с (3 779 Б/c)
Чтение списков пакетов… Готово
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Расчёт обновлений…Следующие пакеты устанавливались автоматически и больше не требуются:
  libasn1-8-heimdal libgssapi3-heimdal libhcrypto4-heimdal libheimbase1-heimdal libheimntlm0-heimdal libhx509-5-heimdal
  libkrb5-26-heimdal libroken18-heimdal libsrtp0 libwind0-heimdal
Для их удаления используйте «apt-get autoremove».
Готово
Пакеты, которые будут оставлены в неизменном виде:
  clamav clamav-freshclam iceweasel iceweasel-l10n-ru
Пакеты, которые будут обновлены:
  calendar-google-provider chromium chromium-l10n clamav-base dmsetup dpkg e2fslibs e2fsprogs file flashplugin-nonfree fontconfig
  fontconfig-config gnupg gpgv icedove icedove-l10n-ru iceowl-extension initramfs-tools libarchive13 libavcodec56 libavformat56
  libavresample2 libavutil54 libc-bin libc-dev-bin libc6 libc6-dev libcomerr2 libcurl3 libcurl3-gnutls libdbd-mysql-perl
  libdevmapper1.02.1 libdns-export100 libexpat1 libfontconfig1 libgcrypt20 libgd3 libgdk-pixbuf2.0-0 libgdk-pixbuf2.0-common
  libgudev-1.0-0 libidn11 libimlib2 libirs-export91 libisc-export95 libisccfg-export90 libldb1 libltdl7 libmagic1
  libmodule-build-perl libmysqlclient18 libnet-ssleay-perl libnspr4 libnss3 libpam-systemd libpolkit-agent-1-0 libpolkit-backend-1-0
  libpolkit-gobject-1-0 libpython2.7 libpython2.7-minimal libpython2.7-stdlib librsvg2-2 librsvg2-common libservlet2.5-java
  libsmbclient libsqlite3-0 libss2 libssl1.0.0 libsystemd0 libtalloc2 libtasn1-6 libtdb1 libtevent0 libudev1 libwbclient0 libxml2
  libxslt1.1 linux-compiler-gcc-4.8-x86 linux-headers-3.16.0-4-amd64 linux-headers-3.16.0-4-common linux-image-3.16.0-4-amd64
  linux-libc-dev locales multiarch-support mysql-client-5.5 mysql-common mysql-server mysql-server-5.5 mysql-server-core-5.5 nginx
  nginx-common nginx-full openssh-client openssh-server openssh-sftp-server openssl perl perl-base perl-modules php5-cgi php5-cli
  php5-common php5-fpm php5-gd php5-mysql php5-readline policykit-1 python-talloc python2.7 python2.7-minimal samba-libs sendmail
  sendmail-base sendmail-bin sendmail-cf sensible-mda ssh systemd systemd-sysv tzdata udev wget xscreensaver xscreensaver-data
обновлено 123, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 4 пакетов не обновлено.
не установлено до конца или удалено 2 пакетов.
Необходимо скачать 0 B/198 MB архивов.
После данной операции, объём занятого дискового пространства возрастёт на 13,6 MB.
Хотите продолжить? [Д/н] Y
Извлечение шаблонов из пакетов: 100%
Предварительная настройка пакетов ...
Настраивается пакет base-files (8+deb8u6) …
dpkg (подпроцесс): не удалось запустить установлен сценарий post-installation (/var/lib/dpkg/info/base-files.postinst): Отказано в доступе
dpkg: ошибка при обработке пакета base-files (--configure):
 подпроцесс установлен сценарий post-installation возвратил код ошибки 2
При обработке следующих пакетов произошли ошибки:
 base-files
E: Sub-process /usr/bin/dpkg returned an error code (1)
root@mail:/home/alex# 

покажи чего в репах у тебя.
пробовал решатель из aptitude ?

bdfy ★★★★ ()
cd /var/lib/dpkg/info/ 
rm ./base-files*
apt update
dpkg --configure -a
Dron ★★★★★ ()
Ответ на: комментарий от bdfy

aptitude у меня не установлен. И поставить его сейчас не смогу.

Что значит «в репах»?

san-sanych ()
Ответ на: комментарий от Dron

Переименовал все файлы /var/lib/dpkg/info/base-files* добавив к их названиям спереди backup.*** (чтобы не удалять).

Дальше:

root@mail:/var/lib/dpkg/info# apt update
В кэше http://deb.opera.com stable InRelease
Получено:1 http://ftp.debian.org jessie-updates InRelease [142 kB]                      
В кэше http://security.debian.org jessie/updates InRelease                                                                  
В кэше http://deb.opera.com stable/non-free amd64 Packages                                          
Игн http://ftp.debian.org jessie InRelease                                                                                           
В кэше http://security.debian.org jessie/updates/main amd64 Packages                                                                 
В кэше http://ftp.debian.org jessie Release.gpg                                                                             
В кэше http://security.debian.org jessie/updates/contrib amd64 Packages                                  
Получено:2 http://ftp.debian.org jessie-updates/main amd64 Packages/DiffIndex [5 440 B]                  
В кэше http://security.debian.org jessie/updates/non-free amd64 Packages                                                             
Получено:3 http://ftp.debian.org jessie-updates/contrib amd64 Packages [32 B]                                                        
В кэше http://security.debian.org jessie/updates/contrib Translation-en                                                     
Получено:4 http://ftp.debian.org jessie-updates/non-free amd64 Packages/DiffIndex [736 B]                                            
В кэше http://security.debian.org jessie/updates/main Translation-en                                                        
Получено:5 http://ftp.debian.org jessie-updates/contrib Translation-en [14 B]                                                        
В кэше http://security.debian.org jessie/updates/non-free Translation-en                                                             
Получено:6 http://ftp.debian.org jessie-updates/main Translation-en/DiffIndex [2 704 B]                        
Получено:7 http://ftp.debian.org jessie-updates/non-free Translation-en/DiffIndex [736 B]                      
В кэше http://ftp.debian.org jessie Release                                         
В кэше http://ftp.debian.org jessie/main amd64 Packages           
В кэше http://ftp.debian.org jessie/contrib amd64 Packages 
В кэше http://ftp.debian.org jessie/non-free amd64 Packages
Игн http://deb.opera.com stable/non-free Translation-ru_RU     
В кэше http://ftp.debian.org jessie/contrib Translation-en     
Игн http://deb.opera.com stable/non-free Translation-ru        
В кэше http://ftp.debian.org jessie/main Translation-ru        
Игн http://deb.opera.com stable/non-free Translation-en        
В кэше http://ftp.debian.org jessie/main Translation-en        
В кэше http://ftp.debian.org jessie/non-free Translation-en    
Получено 152 kБ за 2с (54,8 kБ/c)
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
127 packages can be upgraded. Run 'apt list --upgradable' to see them.
root@mail:/var/lib/dpkg/info# 
root@mail:/var/lib/dpkg/info# dpkg --configure -a
Настраивается пакет base-files (8+deb8u6) …
Настраивается пакет man-db (2.7.0.2-5) …
dpkg (подпроцесс): не удалось запустить установлен сценарий post-installation (/var/lib/dpkg/info/man-db.postinst): Отказано в доступе
dpkg: ошибка при обработке пакета man-db (--configure):
 подпроцесс установлен сценарий post-installation возвратил код ошибки 2
При обработке следующих пакетов произошли ошибки:
 man-db
root@mail:/var/lib/dpkg/info# 
san-sanych ()
Ответ на: комментарий от Dron
root@mail:/var/lib/dpkg/info# ls -lha /var/lib/dpkg/info/man-db.postinst
-rwxr-xr-x 1 root root 2,7K дек 31  2014 /var/lib/dpkg/info/man-db.postinst
san-sanych ()
Ответ на: комментарий от san-sanych
mkdir /tmp/back000
cp /var/lib/dpkg/info/* /tmp/back000
rm /var/lib/dpkg/info/*
apt update; apt upgrade
dpkg --configure -a
apt install aptitude
aptitude reinstall ~i
Dron ★★★★★ ()
Последнее исправление: Dron (всего исправлений: 1)
Ответ на: комментарий от Dron

Поменял также права на /var/lib/dpkg/info/dpkg.prerm (*.postinst) c 755 на 777 . Всё равно пишет «Отказано в доступе»

  sendmail-base sendmail-bin sendmail-cf sensible-mda ssh systemd systemd-sysv tzdata udev wget xscreensaver xscreensaver-data
обновлено 123, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 4 пакетов не обновлено.
не установлено до конца или удалено 2 пакетов.
Необходимо скачать 0 B/198 MB архивов.
После данной операции, объём занятого дискового пространства возрастёт на 13,6 MB.
Хотите продолжить? [Д/н] Y
Извлечение шаблонов из пакетов: 100%
Предварительная настройка пакетов ...
dpkg: предупреждение: список файлов пакета «base-files» отсутствует; предполагаем, что на данный момент у пакета нет установленных файлов
(Чтение базы данных … на данный момент установлено 63345 файлов и каталогов.)
Подготовка к распаковке …/dpkg_1.17.27_amd64.deb …
dpkg (подпроцесс): не удалось запустить старый сценарий pre-removal (/var/lib/dpkg/info/dpkg.prerm): Отказано в доступе
dpkg: предупреждение: подпроцесс старый сценарий pre-removal возвратил код ошибки 2
dpkg: попытка использовать сценарий из нового пакета …
dpkg (подпроцесс): не удалось запустить новый сценарий pre-removal (/var/lib/dpkg/tmp.ci/prerm): Отказано в доступе
dpkg: ошибка при обработке архива /var/cache/apt/archives/dpkg_1.17.27_amd64.deb (--unpack):
 подпроцесс новый сценарий pre-removal возвратил код ошибки 2
dpkg (подпроцесс): не удалось запустить установлен сценарий post-installation (/var/lib/dpkg/info/dpkg.postinst): Отказано в доступе
dpkg: ошибка при очистке:
 подпроцесс установлен сценарий post-installation возвратил код ошибки 2
При обработке следующих пакетов произошли ошибки:
 /var/cache/apt/archives/dpkg_1.17.27_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
root@mail:/var/lib/dpkg/info# ls -lha dpkg.postinst 
-rwxrwxrwx 1 root root 2,0K ноя 26  2015 dpkg.postinst
root@mail:/var/lib/dpkg/info# ls -lha dpkg.prerm 
-rwxrwxrwx 1 root root 4,8K ноя 26  2015 dpkg.prerm
root@mail:/var/lib/dpkg/info# 
san-sanych ()

bdfy ★

Что значит «в репах»?

Он имел в виду что у тебя в /etc/apt/sources.list прописанно

Хотя по выхлопу и так видно, так что он от балды просто сказал

Dron ★★★★★ ()
Ответ на: комментарий от Dron

Выполнил первых три команды.

Дальше apt update и apt upgrade

root@mail:/var/lib/dpkg/info# apt update
В кэше http://security.debian.org jessie/updates InRelease
В кэше http://ftp.debian.org jessie-updates InRelease           
.......
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
127 packages can be upgraded. Run 'apt list --upgradable' to see them.
root@mail:/var/lib/dpkg/info# apt upgrade
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Расчёт обновлений…Следующие пакеты устанавливались автоматически и больше не требуются:
  libasn1-8-heimdal libclamav6 libgssapi3-heimdal libhcrypto4-heimdal libheimbase1-heimdal libheimntlm0-heimdal libhx509-5-heimdal
  libkrb5-26-heimdal libroken18-heimdal libsrtp0 libwind0-heimdal
Для их удаления используйте «apt-get autoremove».
Готово
НОВЫЕ пакеты, которые будут установлены:
  firefox-esr firefox-esr-l10n-ru libclamav7
Пакеты, которые будут обновлены:
  calendar-google-provider chromium chromium-l10n clamav clamav-base clamav-freshclam dmsetup dpkg e2fslibs e2fsprogs file
  flashplugin-nonfree fontconfig fontconfig-config gnupg gpgv icedove icedove-l10n-ru iceowl-extension iceweasel iceweasel-l10n-ru
  initramfs-tools libarchive13 libavcodec56 libavformat56 libavresample2 libavutil54 libc-bin libc-dev-bin libc6 libc6-dev
  libcomerr2 libcurl3 libcurl3-gnutls libdbd-mysql-perl libdevmapper1.02.1 libdns-export100 libexpat1 libfontconfig1 libgcrypt20
  libgd3 libgdk-pixbuf2.0-0 libgdk-pixbuf2.0-common libgudev-1.0-0 libidn11 libimlib2 libirs-export91 libisc-export95
  libisccfg-export90 libldb1 libltdl7 libmagic1 libmodule-build-perl libmysqlclient18 libnet-ssleay-perl libnspr4 libnss3
  libpam-systemd libpolkit-agent-1-0 libpolkit-backend-1-0 libpolkit-gobject-1-0 libpython2.7 libpython2.7-minimal
  libpython2.7-stdlib librsvg2-2 librsvg2-common libservlet2.5-java libsmbclient libsqlite3-0 libss2 libssl1.0.0 libsystemd0
  libtalloc2 libtasn1-6 libtdb1 libtevent0 libudev1 libwbclient0 libxml2 libxslt1.1 linux-compiler-gcc-4.8-x86
  linux-headers-3.16.0-4-amd64 linux-headers-3.16.0-4-common linux-image-3.16.0-4-amd64 linux-libc-dev locales multiarch-support
  mysql-client-5.5 mysql-common mysql-server mysql-server-5.5 mysql-server-core-5.5 nginx nginx-common nginx-full openssh-client
  openssh-server openssh-sftp-server openssl perl perl-base perl-modules php5-cgi php5-cli php5-common php5-fpm php5-gd php5-mysql
  php5-readline policykit-1 python-talloc python2.7 python2.7-minimal samba-libs sendmail sendmail-base sendmail-bin sendmail-cf
  sensible-mda ssh systemd systemd-sysv tzdata udev wget xscreensaver xscreensaver-data
обновлено 127, установлено 3 новых пакетов, для удаления отмечено 0 пакетов, и 0 пакетов не обновлено.
не установлено до конца или удалено 2 пакетов.
Необходимо скачать 45,9 MB/244 MB архивов.
После данной операции, объём занятого дискового пространства возрастёт на 25,7 MB.
Хотите продолжить? [Д/н] Y
Получено:1 http://ftp.debian.org/debian/ jessie/main libclamav7 amd64 0.99.2+dfsg-0+deb8u2 [995 kB]
Получено:2 http://security.debian.org/ jessie/updates/main firefox-esr-l10n-ru all 45.4.0esr-1~deb8u2 [462 kB]
Получено:3 http://security.debian.org/ jessie/updates/main iceweasel-l10n-ru all 1:45.4.0esr-1~deb8u2 [116 kB]
Получено:4 http://security.debian.org/ jessie/updates/main iceweasel all 45.4.0esr-1~deb8u2 [118 kB]
Получено:5 http://ftp.debian.org/debian/ jessie/main clamav-freshclam amd64 0.99.2+dfsg-0+deb8u2 [365 kB]
Получено:6 http://security.debian.org/ jessie/updates/main firefox-esr amd64 45.4.0esr-1~deb8u2 [43,5 MB]
Получено:7 http://ftp.debian.org/debian/ jessie/main clamav amd64 0.99.2+dfsg-0+deb8u2 [351 kB]
Получено 45,9 MБ за 11с (3 936 kБ/c)                                                                                                 
Извлечение шаблонов из пакетов: 100%
Предварительная настройка пакетов ...
dpkg: предупреждение: список файлов пакета «adwaita-icon-theme» отсутствует; предполагаем, что на данный момент у пакета нет установленных файлов
dpkg: предупреждение: список файлов пакета «python-talloc» отсутствует; предполагаем, что на данный момент у пакета нет установленных файлов
dpkg: предупреждение: список файлов пакета «libcpan-meta-perl» отсутствует; предполагаем, что на данный момент у пакета нет установленных файлов
dpkg: предупреждение: список файлов пакета «libgksu2-0» отсутствует; предполагаем, что на данный момент у пакета нет установленных файлов
dpkg: предупреждение: список файлов пакета «libclamav6» отсутствует; предполагаем, что на данный момент у пакета нет установленных файлов
dpkg: предупреждение: список файлов пакета «libvpx1:amd64» отсутствует; предполагаем, что на данный момент у пакета нет установленных файлов
dpkg: предупреждение: список файлов пакета «fonts-dejavu» отсутствует; предполагаем, что на данный момент у пакета нет установленных файлов
dpkg: предупреждение: список файлов пакета «netbase» отсутствует; предполагаем, что на данный момент у пакета нет установленных файлов
dpkg: предупреждение: список файлов пакета «libwayland-server0:amd64» отсутствует; предполагаем, что на данный момент у пакета нет установленных файлов
dpkg: предупреждение: список файлов пакета «libpcap0.8:amd64» отсутствует; предполагаем, что на данный момент у пакета нет установленных файлов
dpkg: предупреждение: 

ЗДЕСЬ АНАЛОГИЧНЫЙ ОЧЕНЬ ДЛИННЫЙ СПИСОК

dpkg: предупреждение: список файлов пакета «libgtk2.0-bin» отсутствует; предполагаем, что на данный момент у пакета нет установленных файлов
dpkg: предупреждение: список файлов пакета «libxkbfile1:amd64» отсутствует; предполагаем, что на данный момент у пакета нет установленных файлов
dpkg: предупреждение: список файлов пакета «libquadmath0:amd64» отсутствует; предполагаем, что на данный момент у пакета нет установленных файлов
dpkg: предупреждение: список файлов пакета «libvorbisfile3:amd64» отсутствует; предполагаем, что на данный момент у пакета нет установленных файлов
dpkg: предупреждение: список файлов пакета «libasan0:amd64» отсутствует; предполагаем, что на данный момент у пакета нет установленных файлов
(Чтение базы данных … на данный момент установлено 54 файла и каталога.)
Подготовка к распаковке …/dpkg_1.17.27_amd64.deb …
dpkg (подпроцесс): не удалось запустить новый сценарий pre-installation (/var/lib/dpkg/tmp.ci/preinst): Отказано в доступе
dpkg: ошибка при обработке архива /var/cache/apt/archives/dpkg_1.17.27_amd64.deb (--unpack):
 подпроцесс новый сценарий pre-installation возвратил код ошибки 2
dpkg (подпроцесс): не удалось запустить новый сценарий post-removal (/var/lib/dpkg/tmp.ci/postrm): Отказано в доступе
dpkg: ошибка при очистке:
 подпроцесс новый сценарий post-removal возвратил код ошибки 2
При обработке следующих пакетов произошли ошибки:
 /var/cache/apt/archives/dpkg_1.17.27_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
root@mail:/var/lib/dpkg/info# 

Дальше

root@mail:/var/lib/dpkg/info# dpkg --configure -a
dpkg: зависимости пакетов не позволяют настроить пакет man-db:
 man-db зависит от dpkg (>= 1.16.1~), однако:
  Пакет dpkg не установлен.

dpkg: ошибка при обработке пакета man-db (--configure):
 проблемы зависимостей — оставляем не настроенным
При обработке следующих пакетов произошли ошибки:
 man-db
root@mail:/var/lib/dpkg/info#
san-sanych ()
Ответ на: комментарий от Dron

В конце выполнения этой команды говорит, что «Отказано в доступе» к файлу, которого на самом деле нет.

root@mail: apt-get install dpkg

....
dpkg: предупреждение: список файлов пакета «libxkbfile1:amd64» отсутствует; предполагаем, что на данный момент у пакета нет установленных файлов
dpkg: предупреждение: список файлов пакета «libquadmath0:amd64» отсутствует; предполагаем, что на данный момент у пакета нет установленных файлов
dpkg: предупреждение: список файлов пакета «libvorbisfile3:amd64» отсутствует; предполагаем, что на данный момент у пакета нет установленных файлов
dpkg: предупреждение: список файлов пакета «libasan0:amd64» отсутствует; предполагаем, что на данный момент у пакета нет установленных файлов
(Чтение базы данных … на данный момент установлено 54 файла и каталога.)
Подготовка к распаковке …/dpkg_1.17.27_amd64.deb …
dpkg (подпроцесс): не удалось запустить новый сценарий pre-installation (/var/lib/dpkg/tmp.ci/preinst): Отказано в доступе
dpkg: ошибка при обработке архива /var/cache/apt/archives/dpkg_1.17.27_amd64.deb (--unpack):
 подпроцесс новый сценарий pre-installation возвратил код ошибки 2
dpkg (подпроцесс): не удалось запустить новый сценарий post-removal (/var/lib/dpkg/tmp.ci/postrm): Отказано в доступе
dpkg: ошибка при очистке:
 подпроцесс новый сценарий post-removal возвратил код ошибки 2
При обработке следующих пакетов произошли ошибки:
 /var/cache/apt/archives/dpkg_1.17.27_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
root@mail:/var/lib/dpkg/info# ls -lha /var/lib/dpkg/tmp.ci/preinst
ls: невозможно получить доступ к /var/lib/dpkg/tmp.ci/preinst: Нет такого файла или каталога
root@mail:/var/lib/dpkg/info# 
san-sanych ()
Ответ на: комментарий от Dron

удобней посмотреть нормальный список, чем вычитывать выхлоп apt update.

bdfy ★★★★ ()
Последнее исправление: bdfy (всего исправлений: 1)
Ответ на: комментарий от san-sanych

Так, восстанови пока то что перенёс в tmp Может придумаем что, но я пока не знаю точно что тебе делать, жди ещё людей.

Dron ★★★★★ ()
Ответ на: комментарий от san-sanych

Так, попробуй блокировать обновление отдельных пакетов

если сейчас ошибка с  man-db то делаем
apt-mark hold man-db
И так далее со всеми с которыми будут ошибки
и пробуй apt upgrade снова



если не прокатит то обратно  apt-mark unhold имя_пакета  делай
Dron ★★★★★ ()
Последнее исправление: Dron (всего исправлений: 1)
Ответ на: комментарий от Dron

Сделал apt-mark hold man-db, потом apt upgrade. В конце опять пишет, что «Отказано в доступе» к файлам, которые лежат в директории tmp.ci , которой (этой директории) на самом деле не существует.

root@mail: apt upgrade

.........
  sensible-mda ssh systemd systemd-sysv tzdata udev wget xscreensaver xscreensaver-data
обновлено 127, установлено 3 новых пакетов, для удаления отмечено 0 пакетов, и 0 пакетов не обновлено.
не установлено до конца или удалено 2 пакетов.
Необходимо скачать 0 B/244 MB архивов.
После данной операции, объём занятого дискового пространства возрастёт на 25,7 MB.
Хотите продолжить? [Д/н] Y
Извлечение шаблонов из пакетов: 100%
Предварительная настройка пакетов ...
dpkg: предупреждение: список файлов пакета «base-files» отсутствует; предполагаем, что на данный момент у пакета нет установленных файлов
(Чтение базы данных … на данный момент установлено 63345 файлов и каталогов.)
Подготовка к распаковке …/dpkg_1.17.27_amd64.deb …
dpkg (подпроцесс): не удалось запустить новый сценарий pre-installation (/var/lib/dpkg/tmp.ci/preinst): Отказано в доступе
dpkg: ошибка при обработке архива /var/cache/apt/archives/dpkg_1.17.27_amd64.deb (--unpack):
 подпроцесс новый сценарий pre-installation возвратил код ошибки 2
dpkg (подпроцесс): не удалось запустить новый сценарий post-removal (/var/lib/dpkg/tmp.ci/postrm): Отказано в доступе
dpkg: ошибка при очистке:
 подпроцесс новый сценарий post-removal возвратил код ошибки 2
При обработке следующих пакетов произошли ошибки:
 /var/cache/apt/archives/dpkg_1.17.27_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
root@mail:/var/lib/dpkg/info# ls -lha /var/lib/dpkg/tmp.ci
ls: невозможно получить доступ к /var/lib/dpkg/tmp.ci: Нет такого файла или каталога
root@mail:/var/lib/dpkg/info# 
san-sanych ()
Ответ на: комментарий от Exmor_RS

Думаешь тупо место на диске кончилось?

Dron ★★★★★ ()
Ответ на: комментарий от Exmor_RS
root@mail:/var/lib/dpkg/info# df -h
Файловая система Размер Использовано  Дост Использовано% Cмонтировано в
/dev/md2p1         909G          36G  827G            5% /
udev                10M         4,0K   10M            1% /dev
tmpfs              6,3G         9,2M  6,3G            1% /run
tmpfs               16G            0   16G            0% /dev/shm
tmpfs              5,0M            0  5,0M            0% /run/lock
tmpfs               16G            0   16G            0% /sys/fs/cgroup
/dev/md0p1         184M          32M  138M           19% /boot
/dev/md3p1         895G         4,6G  845G            1% /var
tmpfs              3,2G         4,0K  3,2G            1% /run/user/1000
У вас есть новая почта в /var/mail/root
root@mail:/var/lib/dpkg/info# 
san-sanych ()
Ответ на: комментарий от san-sanych

Посмотрел что там за почта. Права на /dev/null 600

root@mail: tail -n30 /var/mail/root

......
Subject: Cron <smmsp@mail> test -x /etc/init.d/sendmail && /usr/share/sendmail/sendmail cron-msp
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Cron-Env: <MAILTO=root>
X-Cron-Env: <SHELL=/bin/sh>
X-Cron-Env: <HOME=/var/lib/sendmail>
X-Cron-Env: <PATH=/usr/bin:/bin>
X-Cron-Env: <LOGNAME=smmsp>

/usr/share/sendmail/sendmail: 428: /lib/lsb/init-functions: cannot create /dev/null: Permission denied

san-sanych ()
Ответ на: комментарий от Dron

Почему пытается запустить файлы из директории /var/lib/dpkg/tmp.ci , которой не существует?

san-sanych ()
Ответ на: комментарий от san-sanych

cannot create /dev/null: Permission denied
пытается запустить файлы из директории /var/lib/dpkg/tmp.ci , которой не существует

рассказывай как ты добился этого.

bdfy ★★★★ ()
Ответ на: комментарий от bdfy

Никак. Ничего такого я не делал. Почему нет директории tmp.ci я не знаю.

А если программы ругаются на /dev/null, то меняю права с 600 на 666, и тогда работает.

san-sanych ()
Ответ на: комментарий от Dron

Просмотрел два предыдущих бекапа системы (больше нет). Особенно первый бекап - тогда система у меня работала нормально: директории /var/lib/dpkg/tmp.ci в этих бекапах у меня тоже нет.

san-sanych ()
Ответ на: комментарий от san-sanych

попробуй создать каталог.
так же на всякий случай

apt-get clean
rm /var/lib/apt/lists/*
rm /var/lib/apt/lists/partial/*
apt-get clean
apt-get update

bdfy ★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.